<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_func_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_q.html#index_q"><span>q</span></a></li>
      <li><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.html#index_t"><span>t</span></a></li>
      <li class="current"><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_func_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_func_z.html#index_z"><span>z</span></a></li>
      <li><a href="functions_func_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_func_u.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_u"></a>- u -</h3><ul>
<li>UavMultiplex()
: <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#aaa58829dc34730edaf7c9245a138f3c9">framework::filter::UavMultiplex</a>
</li>
<li>UnBlockCom()
: <a class="el" href="classframework_1_1core_1_1_framework_manager.html#aca78bacec4bcddb9201df47abe1e14e9">framework::core::FrameworkManager</a>
</li>
<li>Unix_I2cPort()
: <a class="el" href="classframework_1_1core_1_1_unix___i2c_port.html#a3d51e1a2037721494ef36a13139f189d">framework::core::Unix_I2cPort</a>
</li>
<li>Unix_SerialPort()
: <a class="el" href="classframework_1_1core_1_1_unix___serial_port.html#ab1eaebd658f66246b927cdd7e8859619">framework::core::Unix_SerialPort</a>
</li>
<li>UnlockUserInterface()
: <a class="el" href="classframework_1_1actuator_1_1_bldc.html#a087b039432817a763474e897b3f5cdf4">framework::actuator::Bldc</a>
, <a class="el" href="classframework_1_1filter_1_1_ahrs.html#a0c213e4b1fb78a4c30287132764b0781">framework::filter::Ahrs</a>
, <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#a5da237d4010a02d07f2df2e56795a90f">framework::filter::UavMultiplex</a>
, <a class="el" href="classframework_1_1sensor_1_1_imu.html#a628abe0c03303e28698502b0a0527fd1">framework::sensor::Imu</a>
, <a class="el" href="classframework_1_1sensor_1_1_us_range_finder.html#ad3007fbeee3c25fe0d0c6dbcac743a40">framework::sensor::UsRangeFinder</a>
</li>
<li>Update()
: <a class="el" href="classframework_1_1filter_1_1_control_law.html#a6f18091c97ae89545222f31f94273062">framework::filter::ControlLaw</a>
, <a class="el" href="classframework_1_1filter_1_1_joy_reference.html#a788f1ac1ee088fa12ea19061b8572ac6">framework::filter::JoyReference</a>
, <a class="el" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#a28a92127ec1e56b5a1ab458ea71aded5">framework::filter::TrajectoryGenerator1D</a>
, <a class="el" href="classframework_1_1filter_1_1_trajectory_generator2_d_circle.html#a6748d0e4f698aab1aa0f65f6af83d4d7">framework::filter::TrajectoryGenerator2DCircle</a>
, <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#aea2f9e4c0121ecb74ee54a390a046d00">framework::filter::UavMultiplex</a>
</li>
<li>UpdateFrom()
: <a class="el" href="classframework_1_1filter_1_1_butterworth_low_pass.html#ad6f751b5b0d2e362342395b18a832d38">framework::filter::ButterworthLowPass</a>
, <a class="el" href="classframework_1_1sensor_1_1_target_controller.html#a7c43eea91c9521296fd650790369e1fd">framework::sensor::TargetController</a>
</li>
<li>UpdateImu()
: <a class="el" href="classframework_1_1sensor_1_1_imu.html#ad06a9b011df7bea223d5062ba5526d92">framework::sensor::Imu</a>
</li>
<li>UpdateSendData()
: <a class="el" href="classframework_1_1core_1_1_framework_manager.html#a5009e267fa360f05d26530375a05cd36">framework::core::FrameworkManager</a>
</li>
<li>UPlot()
: <a class="el" href="classframework_1_1sensor_1_1_gps.html#a7588126b45d2a322145dc94bb0e0168c">framework::sensor::Gps</a>
</li>
<li>UseDefaultPlot()
: <a class="el" href="classframework_1_1actuator_1_1_bldc.html#a4e9a43815c14e0e584f76c516a58a70c">framework::actuator::Bldc</a>
, <a class="el" href="classframework_1_1filter_1_1_ahrs.html#abef8aab89f59d74586fddd1badbc28ec">framework::filter::Ahrs</a>
, <a class="el" href="classframework_1_1filter_1_1_control_law.html#a3a5d9ea00ff79f77cb41c5137ecc96b8">framework::filter::ControlLaw</a>
, <a class="el" href="classframework_1_1filter_1_1_pid.html#a48c267ddd0616d432763a23469ce62c6">framework::filter::Pid</a>
, <a class="el" href="classframework_1_1filter_1_1_pid_thrust.html#a93b6605602290691285cbc407e1816e2">framework::filter::PidThrust</a>
, <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html#aad233de5623f020dc286b94dded0d7b0">framework::filter::UavMultiplex</a>
, <a class="el" href="classframework_1_1filter_1_1_x4_x8_multiplex.html#a665556ba4473e958d94ee4a1f3845a77">framework::filter::X4X8Multiplex</a>
, <a class="el" href="classframework_1_1sensor_1_1_camera.html#a32dbcf0d3f4c6a6eeba50b3dd7dca589">framework::sensor::Camera</a>
, <a class="el" href="classframework_1_1sensor_1_1_gps.html#a5ad4c1deab4b628fb1f6d9553499d15e">framework::sensor::Gps</a>
, <a class="el" href="classframework_1_1sensor_1_1_hokuyo_u_t_m30_lx.html#a5c6920d356be6c731ada2b1e4b3a7b4c">framework::sensor::HokuyoUTM30Lx</a>
, <a class="el" href="classframework_1_1sensor_1_1_imu.html#ac257cd1e3244f8a69053dc812b8e6e65">framework::sensor::Imu</a>
, <a class="el" href="classframework_1_1sensor_1_1_laser_range_finder.html#acc23e831904b1ec9c3b949e642f39cb7">framework::sensor::LaserRangeFinder</a>
, <a class="el" href="classframework_1_1sensor_1_1_parrot_nav_board.html#a77c5c95a5317b04c6d85ba5e6e774cc5">framework::sensor::ParrotNavBoard</a>
, <a class="el" href="classframework_1_1sensor_1_1_us_range_finder.html#af207d5c5b7044045fee393af39714f11">framework::sensor::UsRangeFinder</a>
</li>
<li>UseXbee()
: <a class="el" href="classframework_1_1sensor_1_1_vrpn_client.html#a2f9fde8db19388aafc3b2c79eeaef5f4">framework::sensor::VrpnClient</a>
</li>
<li>UsRangeFinder()
: <a class="el" href="classframework_1_1sensor_1_1_us_range_finder.html#a4528524fcfa612d0b670c4b8c0fb98c8">framework::sensor::UsRangeFinder</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
